## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct Struct Reference

`#include <ICUBridgeCollationCompareFunctorImpl.hpp>`

Collaboration diagram for ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct:

List of all members.

## Public Methods

- CollationCacheStruct ( const XalanDOMString& theLocale, CollatorType* theCollator)
- CollationCacheStruct ()
- void swap (CollationCacheStruct& theOther)

## Public Attributes

- XalanDOMString m_locale
- CollatorType* m_collator

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::CollationCacheStruct ( | const XalanDOMString & theLocale,
| CollatorType * theCollator )

ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::CollationCacheStruct ( | )

## Member Function Documentation

void ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::swap ( | CollationCacheStruct & theOther )`[]`

## Member Data Documentation

CollatorType * ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::m_collator

XalanDOMString ICUBridgeCollationCompareFunctorImpl::CollationCacheStruct::m_locale

The documentation for this struct was generated from the following file:

- ICUBridgeCollationCompareFunctorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.